#ifndef INSERT_H
#define INSERT_H

#include <vector>
#include <string>

using namespace std;

namespace Insert {
	void closeModel();

	// static 
	void polygon(const vector<string>& args);
	void ellipse(const vector<string>& args);
	void xposition(const vector<string>& args);
	void yposition(const vector<string>& args);
	void color(const vector<string>& args);
	void pencolor(const vector<string>& args);
	void depth(const vector<string>& args);
	void text(const vector<string>& args);

	// dynamic
	void polygont(const vector<string>& args);
	void ellipset(const vector<string>& args);
	void xpost(const vector<string>& args);
	void ypost(const vector<string>& args);
	void colort(const vector<string>& args);
	void pencolort(const vector<string>& args);
	void deptht(const vector<string>& args);
	void textt(const vector<string>& args);
	
}

#endif 
